xine-lib: picture_t Struct Reference

xine-lib 1.2.12

Data Fields
picture_t Struct Reference

## Data Fields
VdpPictureInfoMPEG1Or2 | vdp_infos
VdpPictureInfoMPEG1Or2 | vdp_infos2
int | slices_count
int | slices_count2
uint8_t * | slices
int | slices_size
int | slices_pos
int | slices_pos_top
int | progressive_frame
int | repeat_first_field
VdpPictureInfoMPEG4Part2 | vdp_infos
int | viso_verid
int | newpred_enable
int | reduced_resolution_vop_enable
int | vol_shape
int | complexity_estimation_disable
int | sprite_enable
int | quant_precision
VdpPictureInfoVC1 | vdp_infos
int | slices
int | fptype
int | field
int | header_size
int | hrd_param_flag
int | hrd_num_leaky_buckets
int | top_field_first
int | skipped

## Field Documentation

## ◆ complexity_estimation_disable

int picture_t::complexity_estimation_disable

Referenced by reset_picture().

## ◆ field

int picture_t::field

Referenced by parse_chunk().

## ◆ fptype

int picture_t::fptype

## ◆ header_size

int picture_t::header_size

## ◆ hrd_num_leaky_buckets

int picture_t::hrd_num_leaky_buckets

Referenced by entry_point(), and sequence_header_advanced().

## ◆ hrd_param_flag

int picture_t::hrd_param_flag

Referenced by entry_point(), init_sequence(), and sequence_header_advanced().

## ◆ newpred_enable

int picture_t::newpred_enable

Referenced by reset_picture().

## ◆ progressive_frame

int picture_t::progressive_frame

Referenced by parse_chunk(), picture_coding_extension(), and reset_picture().

## ◆ quant_precision

int picture_t::quant_precision

Referenced by reset_picture().

## ◆ reduced_resolution_vop_enable

int picture_t::reduced_resolution_vop_enable

Referenced by reset_picture().

## ◆ repeat_first_field

int picture_t::repeat_first_field

Referenced by parse_chunk(), picture_coding_extension(), and reset_picture().

## ◆ skipped

int picture_t::skipped

## ◆ slices [1/2]

uint8_t* picture_t::slices

Referenced by copy_slice(), decode_picture(), init_picture(), parse_code(), and reset_picture().

## ◆ slices [2/2]

int picture_t::slices

## ◆ slices_count

int picture_t::slices_count

Referenced by copy_slice(), picture_ready(), and reset_picture().

## ◆ slices_count2

int picture_t::slices_count2

Referenced by copy_slice(), picture_ready(), and reset_picture().

## ◆ slices_pos

int picture_t::slices_pos

Referenced by copy_slice(), picture_header(), and reset_picture().

## ◆ slices_pos_top

int picture_t::slices_pos_top

Referenced by copy_slice(), picture_header(), and reset_picture().

## ◆ slices_size

int picture_t::slices_size

Referenced by copy_slice(), and init_picture().

## ◆ sprite_enable

int picture_t::sprite_enable

## ◆ top_field_first

int picture_t::top_field_first

Referenced by libmpeg2_accel_new_frame(), motion_fr_dmv(), parse_chunk(), and picture_coding_extension().

## ◆ vdp_infos [1/3]

VdpPictureInfoMPEG1Or2 picture_t::vdp_infos

Referenced by decode_picture(), decode_render(), entry_point(), picture_coding_extension(), picture_header(), picture_header_advanced(), quant_matrix_extension(), reset_picture(), sequence_header(), sequence_header_advanced(), and video_object_layer().

## ◆ vdp_infos [2/3]

VdpPictureInfoMPEG4Part2 picture_t::vdp_infos

## ◆ vdp_infos [3/3]

VdpPictureInfoVC1 picture_t::vdp_infos

## ◆ vdp_infos2

VdpPictureInfoMPEG1Or2 picture_t::vdp_infos2

Referenced by picture_coding_extension(), picture_header(), picture_ready(), quant_matrix_extension(), reset_picture(), and sequence_header().

## ◆ viso_verid

int picture_t::viso_verid

Referenced by reset_picture().

## ◆ vol_shape

int picture_t::vol_shape

Referenced by reset_picture().

The documentation for this struct was generated from the following files:

- xine-lib-1.2.12/src/video_dec/libvdpau/vdpau_mpeg12.c
- xine-lib-1.2.12/src/video_dec/libvdpau/vdpau_mpeg4.c
- xine-lib-1.2.12/src/video_dec/libvdpau/vdpau_vc1.c